# placeBid

## Description

The `placeBid` function is used to place a bid on an NFT (non-fungible token) in a specific blockchain network's marketplace. It takes the required parameters and connects to the blockchain using the provided private key to interact with the smart contract.

## Parameters

| Parameter    | Type   | Description                                                       |
| ------------ | ------ | ----------------------------------------------------------------- |
| `blockchain` | string | The blockchain network where the NFT marketplace contract resides |
| `privateKey` | string | The private key of the user's wallet to connect to the blockchain |
| `tokenId`    | string | The unique identifier of the NFT in the marketplace               |
| `payment`    | string | The amount of cryptocurrency to bid for the NFT                   |
| `nftAddress` | string | The address of the NFT contract on the blockchain                 |

## Response

| Field     | Type   | Description                             |
| --------- | ------ | --------------------------------------- |
| `code`    | number | The status code of the transaction      |
| `receipt` | object | The transaction receipt object returned |

## Example Request and Response

### Prerequisites

Before making requests with Volary SDK, you must have it installed.

You can install Volary SDK using either **`npm`** or **`yarn`**. Use the following commands to install Volary SDK:

```jsx
npm install @nest25/evm-chains-lib
OR
yarn add @nest25/evm-chains-lib
```

### Request

Here is an example of how to make a `placeNFT` request using the Volary SDK:

```jsx

const {NftMarketPlace} = require('@nest25/evm-chains-lib')
// create instance of SOULBOUND
const nftMarketPlace = new NftMarketPlace();
const privateKey = "your private key here"

const main = async () => {
    // place bid
    const bidder = await nftMarketPlace.placeBid(
        'klay',
        privateKey,
        1,
        10,
    );
    // print result
    console.log(bidder);
}
main()
```

### Response

```jsx
```

## Use Cases

* **Crypto wallets:** The function can be used by crypto wallets to enable users to place bids on NFTs available in various blockchain networks.
* **NFT Marketplaces:** The function can be used by online NFT marketplaces to facilitate the bidding process for buyers and sellers.
* **Cryptocurrency Exchanges:** The function can be used by cryptocurrency exchanges to enable users to place bids on NFTs using their exchange wallets.

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.volary.io/sdks-guide/blockchain-sdks/evm-chains-sdk/nftmarketplace/placebid.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
